#
# spec file for package intel-SINIT
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           intel-SINIT
BuildRequires:  fdupes
Url:            http://software.intel.com/en-us/articles/intel-trusted-execution-technology/
Summary:        Intel(R) SINIT AC modules
License:        SUSE-Firmware
Group:          Development/Tools/Other
Version:        2.3
Release:        89.5
BuildRequires:  unzip
# https://secure-software.intel.com/en-us/system/files/article/183305/2nd-gen-i5-i7-sinit-51.zip
Source0:        2nd-gen-i5-i7-sinit-51.zip
# https://secure-software.intel.com/en-us/system/files/article/183305/3rd-gen-i5-i7-racm-sinit-67_1.zip
Source1:        3rd-gen-i5-i7-racm-sinit-67_1.zip
# https://secure-software.intel.com/en-us/system/files/article/183305/3rd-gen-i5-i7-sinit-67.zip
Source2:        3rd-gen-i5-i7-sinit-67.zip
# https://secure-software.intel.com/en-us/system/files/article/183305/4th-gen-i5-i7-sinit-75.zip
Source3:        4th-gen-i5-i7-sinit-75.zip
# https://secure-software.intel.com/en-us/system/files/article/183305/gm45-gs45-pm45-sinit-51.zip
Source4:        gm45-gs45-pm45-sinit-51.zip
# https://secure-software.intel.com/en-us/system/files/30/c4/i5-i7-dual-sinit-51.zip
Source5:        i5-i7-dual-sinit-51.zip
# https://secure-software.intel.com/en-us/system/files/1e/dc/i7-quad-sinit-51.zip
Source6:        i7-quad-sinit-51.zip
Source7:        q45-q43-sinit-51.zip
# https://secure-software.intel.com/en-us/system/files/article/183305/xeon-5600-3500-sinit-v1.1.zip
Source8:        xeon-5600-3500-sinit-v1.1.zip
# https://secure-software.intel.com/en-us/system/files/e8/00/xeon-e7-8800-4800-2800-sinit-v1.1.zip
Source9:        xeon-e7-8800-4800-2800-sinit-v1.1.zip
# https://secure-software.intel.com/en-us/system/files/article/183305/q35-sinit-51.zip
Source10:       q35-sinit-51.zip
Source11:       SINIT-guide.txt
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Trusted Boot (tboot) is an open source, pre-kernel/VMM module that uses
Intel(R) Trusted Execution Technology (Intel(R) TXT) to perform a measured
and verified launch of an OS kernel/VMM.

This package contains the binary SINIT AC Modules that are used for measuring.


%prep
%setup -c -n intel-SINIT
#unzip %{S:0}
unzip %{S:1}
unzip %{S:2}
unzip %{S:3}
unzip %{S:4}
unzip %{S:5}
unzip %{S:6}
unzip %{S:7}
mkdir xeon-5600-3500-sinit
pushd xeon-5600-3500-sinit
	unzip %{S:8}
popd
mkdir xeon-e7-8800-4800-2800-sinit
pushd xeon-e7-8800-4800-2800-sinit
	unzip %{S:9}
popd
unzip %{S:10}
chmod 644 */*
cp %{SOURCE11} .

find

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/sinit

mv */*.BIN $RPM_BUILD_ROOT/usr/lib/sinit
chmod 644 $RPM_BUILD_ROOT/usr/lib/sinit/*.BIN

%fdupes %buildroot/%_prefix

%files
%defattr(-,root,root)
%doc i7_QUAD-SINIT_51 2nd_gen_i5_i7-SINIT_51 GM45_GS45_PM45-SINIT_51 3rd_gen_i5_i7-SINIT_67 xeon-5600-3500-sinit xeon-e7-8800-4800-2800-sinit
%doc i5_i7_DUAL-SINIT_51 3rd_gen_i5_i7_RACM-SINIT_67 4th_gen_i5_i7-SINIT_75 Q45_Q43-SINIT_51 Q35-SINIT_51
%doc SINIT-guide.txt
%dir /usr/lib/sinit
/usr/lib/sinit/*

%changelog
* Tue Oct 14 2014 jengelh@inai.de
- Specfile cleanup: avoid %%fdupes on buildroot, simplify %%install.
* Wed Feb 19 2014 meissner@suse.com
- Updated to current zipfiles available from
  http://software.intel.com/en-us/articles/intel-trusted-execution-technology/
* Wed Feb 19 2014 meissner@suse.com
- fixed license to be SUSE-Firmware
* Wed Jun  8 2011 coolo@novell.com
- fix license (seems autobuild overwritten)
* Fri Apr 29 2011 meissner@novell.com
- imported SINITS from http://sourceforge.net/projects/tboot/
  FATE#311820
